<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/inc/adc.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">adc.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d19/adc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __ADC_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __ADC_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabddd4e229c828ddc281d532bb71910d0">   33</a></span><span class="preprocessor">#define ADC_CH7_EXT                     (0UL)                       </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7d5639d4878d3e3dd4989bab85ae6b19">   34</a></span><span class="preprocessor">#define ADC_CH7_BGP                     (ADC_ADCHER_PRESEL_Msk)     </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab680e42784b0cef09b59dd50cdd925f5">   35</a></span><span class="preprocessor">#define ADC_CMP_LESS_THAN               (0UL)                       </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0982f22ea10167b3fbaeea4d7dff8c15">   36</a></span><span class="preprocessor">#define ADC_CMP_GREATER_OR_EQUAL_TO     (ADC_ADCMPR_CMPCOND_Msk)    </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab00b676b7a485e344250465c7379356c">   37</a></span><span class="preprocessor">#define ADC_TRIGGER_BY_EXT_PIN          (0UL)                       </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6406d16f2d4bcc5bd0f1f1f58f26850e">   38</a></span><span class="preprocessor">#define ADC_TRIGGER_BY_PWM              (ADC_ADCR_TRGS_Msk)         </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7a0741d0522d5a08c1ae355cce24f02">   39</a></span><span class="preprocessor">#define ADC_FALLING_EDGE_TRIGGER        (0UL)                       </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae3e21aed15e5d2625c55e335f3e940e8">   40</a></span><span class="preprocessor">#define ADC_RISING_EDGE_TRIGGER         (ADC_ADCR_TRGCOND_Msk)      </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">   41</a></span><span class="preprocessor">#define ADC_ADF_INT                     (ADC_ADSR_ADF_Msk)          </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">   42</a></span><span class="preprocessor">#define ADC_CMP0_INT                    (ADC_ADSR_CMPF0_Msk)        </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">   43</a></span><span class="preprocessor">#define ADC_CMP1_INT                    (ADC_ADSR_CMPF1_Msk)        </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7163d3184dde38d6b3de98c95093a6f3">   44</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_0              (0UL)                       </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5399c3ad788c1119c3241eb7f30d98bf">   45</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_1              (1UL)                       </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga453c4a9d11048c721ac85b4d89360514">   46</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_2              (2UL)                       </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6bc25df85b7e096549da6e8862340964">   47</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_4              (3UL)                       </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81fd3771efc0b851c2cd3553564302f8">   48</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_8              (4UL)                       </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6867d42e917891188d7d527fe685b6eb">   49</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_16             (5UL)                       </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga16b3a86728ed59032f8859aab43754f8">   50</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_32             (6UL)                       </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5c3b6603d45a83a0685b3b076a6ddda9">   51</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_64             (7UL)                       </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga912fe638a83edabecd8f6e0a18fe626f">   52</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_128            (8UL)                       </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaca6da4f14fc129e8c8f5d064d594cabc">   53</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_256            (9UL)                       </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7a4830348c165eb05a2fd0dc9c886369">   54</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_512            (10UL)                      </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2172cd7044afab8e4557aee08a9e82">   55</a></span><span class="preprocessor">#define ADC_SAMPLE_CLOCK_1024           (11UL)                       </span><span class="comment">/* end of group MINI51_ADC_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga301560c7719827fc818216a8a2b1e9b2">   75</a></span><span class="preprocessor">#define ADC_CONFIG_CH7(adc, u32Source) (ADC-&gt;ADCHER = (ADC-&gt;ADCHER &amp; ~ADC_ADCHER_PRESEL_Msk) | (u32Source))</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348ede2ad296ea3bd6d1762e5a40792c">   84</a></span><span class="preprocessor">#define ADC_GET_CONVERSION_DATA(adc, u32ChNum) (ADC-&gt;ADDR &amp; ADC_ADDR_RSLT_Msk)</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga708c39981374e8a7521a76bfa4b8ff3d">   96</a></span><span class="preprocessor">#define ADC_GET_INT_FLAG(adc, u32Mask) (ADC-&gt;ADSR &amp; (u32Mask))</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga468c4f6f057eaac800914c0b11a1637a">  108</a></span><span class="preprocessor">#define ADC_CLR_INT_FLAG(adc, u32Mask) (ADC-&gt;ADSR = (ADC-&gt;ADSR &amp; ~(ADC_ADSR_ADF_Msk | \</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="preprocessor">                                                                       ADC_ADSR_CMPF0_Msk | \</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="preprocessor">                                                                       ADC_ADSR_CMPF1_Msk)) | (u32Mask))</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc0053e6e706e74676beb837989c8a19">  120</a></span><span class="preprocessor">#define ADC_IS_BUSY(adc) (ADC-&gt;ADSR &amp; ADC_ADSR_BUSY_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35ce5b09aaa4fa7f4f80da7db939a6cf">  131</a></span><span class="preprocessor">#define ADC_IS_DATA_OVERRUN(adc, u32ChNum) (ADC-&gt;ADSR &amp; ADC_ADSR_OVERRUN_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4fb6ce4b41601827dd291a283fee1b9">  142</a></span><span class="preprocessor">#define ADC_IS_DATA_VALID(adc, u32ChNum) (ADC-&gt;ADSR &amp; ADC_ADSR_VALID_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21a643f0dc98000be2a75e949a4ab13b">  150</a></span><span class="preprocessor">#define ADC_POWER_DOWN(adc) (ADC-&gt;ADCR &amp;= ~ADC_ADCR_ADEN_Msk)</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga781f92e0e406d725fbc8b475545e4804">  158</a></span><span class="preprocessor">#define ADC_POWER_ON(adc) (ADC-&gt;ADCR |= ADC_ADCR_ADEN_Msk)</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1c57f56dff82e5fe93379d5a5d541901">  175</a></span><span class="preprocessor">#define ADC_ENABLE_CMP0(adc, \</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="preprocessor">                        u32ChNum, \</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span><span class="preprocessor">                        u32Condition, \</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span><span class="preprocessor">                        u32Data, \</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span><span class="preprocessor">                        u32MatchCount) (ADC-&gt;ADCMPR[0] = ((u32ChNum) &lt;&lt; ADC_ADCMPR_CMPCH_Pos) | \</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span><span class="preprocessor">                                                                   (u32Condition) | \</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span><span class="preprocessor">                                                                   ((u32Data) &lt;&lt; ADC_ADCMPR_CMPD_Pos) | \</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="preprocessor">                                                                   (((u32MatchCount) - 1) &lt;&lt; ADC_ADCMPR_CMPMATCNT_Pos) |\</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span><span class="preprocessor">                                                                   ADC_ADCMPR_CMPEN_Msk)</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9488cca5de5aac395872d0cd0174054">  190</a></span><span class="preprocessor">#define ADC_DISABLE_CMP0(adc) (ADC-&gt;ADCMPR[0] = 0)</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga54a951c643d6f36f9b09c401d2d5c69f">  207</a></span><span class="preprocessor">#define ADC_ENABLE_CMP1(adc, \</span></div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span><span class="preprocessor">                        u32ChNum, \</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span><span class="preprocessor">                        u32Condition, \</span></div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span><span class="preprocessor">                        u32Data, \</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span><span class="preprocessor">                        u32MatchCount) (ADC-&gt;ADCMPR[1] = ((u32ChNum) &lt;&lt; ADC_ADCMPR_CMPCH_Pos) | \</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span><span class="preprocessor">                                                                   (u32Condition) | \</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span><span class="preprocessor">                                                                   ((u32Data) &lt;&lt; ADC_ADCMPR_CMPD_Pos) | \</span></div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span><span class="preprocessor">                                                                   ((u32MatchCount - 1) &lt;&lt; ADC_ADCMPR_CMPMATCNT_Pos) |\</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span><span class="preprocessor">                                                                   ADC_ADCMPR_CMPEN_Msk)</span></div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1151fa0624c494ea2b25aa845fd5b13">  222</a></span><span class="preprocessor">#define ADC_DISABLE_CMP1(adc) (ADC-&gt;ADCMPR[1] = 0)</span></div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga397f75687c2af60f55f2ad2a6f3fecef">  233</a></span><span class="preprocessor">#define ADC_SET_INPUT_CHANNEL(adc, u32Mask) (ADC-&gt;ADCHER = (ADC-&gt;ADCHER &amp; ~ADC_ADCHER_CHEN_Msk) | (u32Mask))</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc4222d33d064592ddb8443a80762b62">  241</a></span><span class="preprocessor">#define ADC_START_CONV(adc) (ADC-&gt;ADCR |= ADC_ADCR_ADST_Msk)</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4d920efefa341fd66884a04964d2e217">  249</a></span><span class="preprocessor">#define ADC_STOP_CONV(adc) (ADC-&gt;ADCR &amp;= ~ADC_ADCR_ADST_Msk)</span></div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>              uint32_t u32InputMode,</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>              uint32_t u32OpMode,</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>              uint32_t u32ChMask);</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc);</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>                         uint32_t u32Source,</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>                         uint32_t u32Param);</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc);</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>                            uint32_t u32ChNum,</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>                            uint32_t u32SampleTime);</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask);</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask);</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span> </div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> <span class="comment">/* end of group MINI51_ADC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span> <span class="comment">/* end of group MINI51_ADC_Driver */</span></div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span> </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>}</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span> </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span><span class="preprocessor">#endif </span><span class="comment">//__ADC_H__</span></div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span> </div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga685b6f8aa3a0f1fea8992f0f105e7241"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a></div><div class="ttdeci">void ADC_EnableHWTrigger(ADC_T *adc, uint32_t u32Source, uint32_t u32Param)</div><div class="ttdoc">Configure the hardware trigger condition and enable hardware trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00076">adc.c:76</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga68854f8ea2f77c73a8cf029034ec4885"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a></div><div class="ttdeci">void ADC_Close(ADC_T *adc)</div><div class="ttdoc">Disable ADC module.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00054">adc.c:54</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6adcefbb9e5bc5aa9ea0741d028532fd"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a></div><div class="ttdeci">void ADC_SetExtraSampleTime(ADC_T *adc, uint32_t u32ChNum, uint32_t u32SampleTime)</div><div class="ttdoc">Set ADC sample time for designated channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00123">adc.c:123</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7033da903c767e3fcd564d1695a43fac"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a></div><div class="ttdeci">void ADC_Open(ADC_T *adc, uint32_t u32InputMode, uint32_t u32OpMode, uint32_t u32ChMask)</div><div class="ttdoc">This API configures ADC module to be ready for convert the input from selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00038">adc.c:38</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7064e6cb526c985efcdb85a4644c5d4e"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a></div><div class="ttdeci">void ADC_DisableInt(ADC_T *adc, uint32_t u32Mask)</div><div class="ttdoc">Disable the interrupt(s) selected by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00164">adc.c:164</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9703215cf92463b8c79f486aa6270ca8"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a></div><div class="ttdeci">void ADC_DisableHWTrigger(ADC_T *adc)</div><div class="ttdoc">Disable hardware trigger ADC function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00098">adc.c:98</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa17b8a283b2eebe8bfb193056c7fed35"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a></div><div class="ttdeci">void ADC_EnableInt(ADC_T *adc, uint32_t u32Mask)</div><div class="ttdoc">Enable the interrupt(s) selected by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00141">adc.c:141</a></div></div>
<div class="ttc" id="astruct_a_d_c___t_html"><div class="ttname"><a href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00289">Mini51Series.h:290</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:38 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
